PULSAR
API ReferenceOperator Plan

Create

Create a new operator plan with schedules

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

Try it live
POST
/operator-plan

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X POST "https://example.com/operator-plan" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "since": "string",    "until": "string",    "schedules": [      {        "operatorId": 0.1,        "machineId": 0.1,        "frequency": {          "unit": "day",          "days": [            0.1          ],          "shifts": [            "string"          ]        }      }    ],    "fileId": "string"  }'
{  "id": "string",  "fileId": "string",  "title": "string",  "since": "string",  "until": "string",  "status": "past",  "operatorCount": 0.1,  "machineCount": 0.1}